# 4. Create your first Site

## What is a "Site"?

A site in BetterForms is the core of your web app. It contains many settings that apply to all pages of your app. A site is defined by its **domain name**, although you can have multiple domains that share the same site settings.

To learn more about the various settings you can configure in a site, see this page:

{% content-ref url="/pages/-Litq99xmZEGw6zXM4Rt" %}
[Site Settings](/v1/reference/site-settings.md)
{% endcontent-ref %}

## Configuring your first Site

In the sites menu of the [BetterForms IDE](https://app.fmbetterforms.com/#/sites), click the **Create Site** button.

Fill out the fields shown in the General tab as instructed. Be sure to select the server that you created earlier from the dropdown list, then click the **Set Credentials** button to securely enter the credentials for the BetterForms user that you created in Step 1.

You'll also need to enter the common hook set name for your site. For more info about what this is for, go back to [this page](/v1/getting-started/integration/3.-introduction-to-hooks.md).

Lastly, add a domain name and set the deployment version. If you want to use a custom domain name, see [this guide](/v1/reference/advanced-configuration/custom-domains.md).

{% hint style="info" %}
While you're testing and learning BetterForms, it will be helpful to have **Dev Mode** enabled for your site. While you're here, go ahead an enable it using the toggle at the top of this page!
{% endhint %}

Now you can save your site and proceed to creating your first page!


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.klai.studio/v1/getting-started/integration/4.-create-a-site.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
